Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jdbc.datasource.lookup
Class JndiDataSourceLookup

    java.lang.Object
      org.springframework.jndi.JndiAccessor
          org.springframework.jndi.JndiLocatorSupport
              org.springframework.jdbc.datasource.lookup.JndiDataSourceLookup

All Implemented Interfaces:
  DataSourceLookup

    public class JndiDataSourceLookup

extends JndiLocatorSupport
implements DataSourceLookup

JNDI-based `DataSourceLookup` implementation.

For specific JNDI configuration, it is recommended to configure the "jndiEnvironment"/"jndiTemplate" properties.

Since:
  2.0
Author:
  Costin Leau, Juergen Hoeller
See Also:
  `JndiAccessor.setJndiEnvironment(java.util.Properties)`, `JndiAccessor.setJndiTemplate(org.springframework.jndi.JndiTemplate)`

Field Summary

Fields inherited from class org.springframework.jndi.JndiLocatorSupport
`CONTAINER_PREFIX`

Fields inherited from class org.springframework.jndi.JndiAccessor
`logger`

Constructor Summary
`JndiDataSourceLookup()`

Method Summary
`DataSource` | `getDataSource(String dataSourceName)` Retrieve the DataSource identified by the given name.

Methods inherited from class org.springframework.jndi.JndiLocatorSupport
`convertJndiName, isResourceRef, lookup, lookup, setResourceRef`

Methods inherited from class org.springframework.jndi.JndiAccessor
`getJndiEnvironment, getJndiTemplate, setJndiEnvironment, setJndiTemplate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JndiDataSourceLookup

    public JndiDataSourceLookup()

Method Detail

### getDataSource

    public DataSource getDataSource(String dataSourceName)
                             throws DataSourceLookupFailureException

  Description copied from interface: `DataSourceLookup`
  Retrieve the DataSource identified by the given name.

  Specified by:
    `getDataSource` in interface `DataSourceLookup`
  Parameters:
    `dataSourceName` - the name of the DataSource
  Returns:
    the DataSource (never `null`)
  Throws:
    `DataSourceLookupFailureException` - if the lookup failed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD